Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.xml.xpath
Class XPathParsingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              antlr.ANTLRException
                  antlr.TokenStreamException
                      weblogic.xml.xpath.XPathException
                          weblogic.xml.xpath.XPathParsingException

All Implemented Interfaces:
  Serializable

public final class XPathParsingException
extends XPathException

Thrown to indicate that an error occurred during the parsing of an XPath, usually as the result of a syntactical error in the xpath.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`XPathParsingException()`
`XPathParsingException(String msg)`
`XPathParsingException(String msg, Throwable nested)`
`XPathParsingException(Throwable nested)`

Methods inherited from class weblogic.xml.xpath.XPathException
`getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathParsingException

    public XPathParsingException()

### XPathParsingException

    public XPathParsingException(String msg)

### XPathParsingException

    public XPathParsingException(String msg,
                                 Throwable nested)

### XPathParsingException

    public XPathParsingException(Throwable nested)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD